package com.malk.minjiaoyuan.service;

import com.malk.server.aliwork.YDParam;

import java.util.List;
import java.util.Map;

public interface MJYService {

    // 获取学校与类型比例
    int getSchoolRatio(String schoolName, String typeName);

    // 查询全部数据
    List<Map> queryAllBySync(YDParam param);

    // 获取直入名单
    List<String> getDirectList();

    // 触发通知 [宜搭平台账号不会触发通知]
    void triggerNotice(String formUuid, String createUserId, Map formData);

    // 匹配学校负责人
    List<Map> matchQuery(List<Map> schoolQuotaList);

    // 同步教师档案 [已邀请]
    void syncTeacherStatus();
}
