package com.malk.service.fxiaoke;

import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

public interface FXKClient {

    /**
     * 获取访问授权
     */
    String getAccessToken();

    /**
     * 根据手机号查询员工
     */
    List<Map> getUserByMobile(String accessToken, String corpId, String mobile);

    /**
     * 获取考勤数据列表
     *
     * @param pageable    接口默认20, 程序默认最大1000
     * @param openUserIds 接口最大查询200
     **/
    List<Map> getAttendanceForOutside(String accessToken, String corpId, long startTime, long endTime, List<String> openUserIds, Pageable pageable);
}
